package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Telephony settings.
 */
@ApiModel(description = "Telephony settings.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BatchModifyVoipDeviceConfigurationEntity   {
  @JsonProperty("vadSupportEnable")
  private Boolean vadSupportEnable;

  @JsonProperty("speakerGain")
  private Integer speakerGain;

  @JsonProperty("micGain")
  private Integer micGain;

  @JsonProperty("callBlockingEnable")
  private Boolean callBlockingEnable;

  @JsonProperty("callBlockingProfileId")
  private String callBlockingProfileId;

  @JsonProperty("callBlockingProfileName")
  private String callBlockingProfileName;

  @JsonProperty("digitMapProfileId")
  private String digitMapProfileId;

  @JsonProperty("digitMapProfileName")
  private String digitMapProfileName;

  public BatchModifyVoipDeviceConfigurationEntity vadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
    return this;
  }

  /**
   * Whether to enable vad support.
   * @return vadSupportEnable
  */
  @ApiModelProperty(value = "Whether to enable vad support.")


  public Boolean getVadSupportEnable() {
    return vadSupportEnable;
  }

  public void setVadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
  }

  public BatchModifyVoipDeviceConfigurationEntity speakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
    return this;
  }

  /**
   * The speaker gain of voip device.
   * @return speakerGain
  */
  @ApiModelProperty(value = "The speaker gain of voip device.")


  public Integer getSpeakerGain() {
    return speakerGain;
  }

  public void setSpeakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
  }

  public BatchModifyVoipDeviceConfigurationEntity micGain(Integer micGain) {
    this.micGain = micGain;
    return this;
  }

  /**
   * The mic gain of voip device.
   * @return micGain
  */
  @ApiModelProperty(value = "The mic gain of voip device.")


  public Integer getMicGain() {
    return micGain;
  }

  public void setMicGain(Integer micGain) {
    this.micGain = micGain;
  }

  public BatchModifyVoipDeviceConfigurationEntity callBlockingEnable(Boolean callBlockingEnable) {
    this.callBlockingEnable = callBlockingEnable;
    return this;
  }

  /**
   * Whether to enable callBlocking.
   * @return callBlockingEnable
  */
  @ApiModelProperty(value = "Whether to enable callBlocking.")


  public Boolean getCallBlockingEnable() {
    return callBlockingEnable;
  }

  public void setCallBlockingEnable(Boolean callBlockingEnable) {
    this.callBlockingEnable = callBlockingEnable;
  }

  public BatchModifyVoipDeviceConfigurationEntity callBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
    return this;
  }

  /**
   * The call blocking profile ID of voip device.When callBlockingEnable is true, it can not be null.
   * @return callBlockingProfileId
  */
  @ApiModelProperty(value = "The call blocking profile ID of voip device.When callBlockingEnable is true, it can not be null.")


  public String getCallBlockingProfileId() {
    return callBlockingProfileId;
  }

  public void setCallBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
  }

  public BatchModifyVoipDeviceConfigurationEntity callBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
    return this;
  }

  /**
   * The call blocking profile name of voip device.
   * @return callBlockingProfileName
  */
  @ApiModelProperty(value = "The call blocking profile name of voip device.")


  public String getCallBlockingProfileName() {
    return callBlockingProfileName;
  }

  public void setCallBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
  }

  public BatchModifyVoipDeviceConfigurationEntity digitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
    return this;
  }

  /**
   * The digit map profile ID of voip device.
   * @return digitMapProfileId
  */
  @ApiModelProperty(value = "The digit map profile ID of voip device.")


  public String getDigitMapProfileId() {
    return digitMapProfileId;
  }

  public void setDigitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
  }

  public BatchModifyVoipDeviceConfigurationEntity digitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
    return this;
  }

  /**
   * The digit map profile name of voip device.
   * @return digitMapProfileName
  */
  @ApiModelProperty(value = "The digit map profile name of voip device.")


  public String getDigitMapProfileName() {
    return digitMapProfileName;
  }

  public void setDigitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchModifyVoipDeviceConfigurationEntity batchModifyVoipDeviceConfigurationEntity = (BatchModifyVoipDeviceConfigurationEntity) o;
    return Objects.equals(this.vadSupportEnable, batchModifyVoipDeviceConfigurationEntity.vadSupportEnable) &&
        Objects.equals(this.speakerGain, batchModifyVoipDeviceConfigurationEntity.speakerGain) &&
        Objects.equals(this.micGain, batchModifyVoipDeviceConfigurationEntity.micGain) &&
        Objects.equals(this.callBlockingEnable, batchModifyVoipDeviceConfigurationEntity.callBlockingEnable) &&
        Objects.equals(this.callBlockingProfileId, batchModifyVoipDeviceConfigurationEntity.callBlockingProfileId) &&
        Objects.equals(this.callBlockingProfileName, batchModifyVoipDeviceConfigurationEntity.callBlockingProfileName) &&
        Objects.equals(this.digitMapProfileId, batchModifyVoipDeviceConfigurationEntity.digitMapProfileId) &&
        Objects.equals(this.digitMapProfileName, batchModifyVoipDeviceConfigurationEntity.digitMapProfileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vadSupportEnable, speakerGain, micGain, callBlockingEnable, callBlockingProfileId, callBlockingProfileName, digitMapProfileId, digitMapProfileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchModifyVoipDeviceConfigurationEntity {\n");
    
    sb.append("    vadSupportEnable: ").append(toIndentedString(vadSupportEnable)).append("\n");
    sb.append("    speakerGain: ").append(toIndentedString(speakerGain)).append("\n");
    sb.append("    micGain: ").append(toIndentedString(micGain)).append("\n");
    sb.append("    callBlockingEnable: ").append(toIndentedString(callBlockingEnable)).append("\n");
    sb.append("    callBlockingProfileId: ").append(toIndentedString(callBlockingProfileId)).append("\n");
    sb.append("    callBlockingProfileName: ").append(toIndentedString(callBlockingProfileName)).append("\n");
    sb.append("    digitMapProfileId: ").append(toIndentedString(digitMapProfileId)).append("\n");
    sb.append("    digitMapProfileName: ").append(toIndentedString(digitMapProfileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

